DtDtsBufferToDataType(library call)

NAME
DtDtsBufferToDataType — get the data type for a byte stream

SYNOPSIS

#include &<Dt/Dts.h>
char *DtDtsBufferToDataType(
const void *buffer,
const int size,
const char *opt_name);

DESCRIPTION

The DtDtsBufferToDataType function returns the data type name for a given byte stream.

The buffer argument is a pointer to the buffer of the data to be typed.

The size argument is the size of the buffer in bytes.

The opt_name argument can be used to specify a name to be associated with the buffer. If the opt_name argument is not NULL, it is used as a pseudo file name in typing; otherwise, certain attributes may be returned as NULL because the filename components could not be determined.

RETURN VALUE

Upon successful completion, the DtDtsBufferToDataType function returns a pointer to a data type name string, or NULL if no value could be determined.

APPLICATION USAGE

The application should use the DtDtsFreeDataType(3) function to release the memory for the returned value.

The DtDtsBufferToDataType function assumes that the buffer is readable and writable by the user, group and other file classes and selects a type accordingly. An application requiring a type based on read-only permissions should use DtDtsDataToDataType.

SEE ALSO

Dt/Dts.h, DtDtsDataToDataType(3), DtDtsLoadDataTypes(3), DtDtsFreeDataType(3).